Bug 183196 - ntpdate uses wrong default keyfile path
ntpdate uses wrong default keyfile path
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-02-27 07:40 EST by Jan "Yenya" Kasprzak
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-19 04:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2006-02-27 07:40:59 EST
Description of problem:
The ntp package is distributed with /etc/ntp/keys file, and also in ntp.conf the
default keyfile points to this path. However, ntpdate without any option tries
to use the /etc/ntp.keys file.
This is just a minor/cosmetic bug, but I think it would be nice if the ntpdate
default would match the path used in the other parts of the package.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. have a NTP server "time.server" with the key number 42 in /etc/ntp/keys
2. have the same key in /etc/ntp/keys on a client machine
3. on client, run "ntpdate -q -a 42 time.server"

Actual results:
ntpdate complains that there is no /etc/ntp.keys file
Expected results:
ntpdate should use the same default keyfile path as the rest of the ntp package.

Additional info:
Comment 1 Miroslav Lichvar 2006-05-19 04:31:37 EDT
Fixed in ntp-4.2.0.a.20050816-0.FC4.

Note You need to log in before you can comment on or make changes to this bug.